Subject: Re: booting HardHat on IBM 405GP

From: Ralph Blach <[email-masked]>
Date: Tue, 27 Mar 2001 07:50:48 -0500

Zehetbauer,

Hi,  This is a function call to sa, and if you look at the address of sa
(the starting address) I'll bet it absoulte 0.  So, what happens is you
get a jump to zero.

Heres the boot process.
1)move the ramdisk to upper memory.
2)uncompress the kernel image starting a real 0.
3)Jump to 0.

Chip Blach

Zehetbauer Thomas wrote:
>
> Hi!
>
> My company is going to develop an embedded solution based on a IBM 406GP
> processor.
> We are in early development right now and I am trying to boot linux on a
> > IBM 25 EB 405 P4 WIN WAL 00
> evaluation kit (this is the information on the bill of delivery).
>
> Attempting to debug I've found linux/arch/ppc/boot/tree/main.c:start to
> be the first function executed.
> At the very last step this function calls
> >    (*(void (*)())sa)(&board_info,
> >                      initrd_start,
> >                      initrd_start + initrd_size,
> >                      cmdline,
> >                      cmdline + strlen(cmdline));
> and I can't find where execution goes on.
>
> Any help is greatly appreciated.
>
> TIA
> Tom
>
> PS: Does someone know how to determine the board's revision number?
>